Subject: [Sipping] Throttling publish

From: "Brok, Jacco (Jacco)" <[email-masked]>
Date: Fri, 8 Apr 2005 11:17:02 +0200

The minutes of the IETF 62 meeting and the recent mailing discussion regarding event throttling indicated that filters may be needed to control notifications of different kinds. I agree, but I think regulating ~publications~ contribute to preventing overload of notification messages (in a mobile environment).

I have written down a mechanism to regulate publications in:
http://www.ietf.org/internet-drafts/draft-brok-simple-regulate-publish-00.txt

For simplicity, suppose the following:
- only UAC on mobile devices publish data for presentity X
- there are N watchers for X's data
- no event notification filtering or privacy filtering applies
Every publish message potentially causes N notifications!

I think that regulating the number of publish messages have a positive effect on limiting the number of notifications, in addition to limiting the use of resources (battery, computing) on a presentity's mobile device (see draft). 

Jacco

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP